STRUCT TEMPLATE (3)

NAME
boost::proto::function - A metafunction for generating function-call expression types, a grammar element for matching function-call expressions, and a PrimitiveTransform that dispatches to the proto::pass_through<> transform.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename... A>
struct function :  proto::transform< function<A...> > {
  // types
  typedef proto::expr< proto::tag::function, proto::listN< A... > >       type;
  typedef proto::basic_expr< proto::tag::function, proto::listN< A... > > proto_grammar;
  // member classes/structs/unions
  template<typename Expr, typename State, typename Data>
  struct impl :
     proto::pass_through<function>::template impl<Expr, State, Data>
  {
  };
};

DESCRIPTION